package org.tio.sitexxx.service.model.main.base;

import org.tio.jfinal.plugin.activerecord.IBean;
import org.tio.sitexxx.service.jf.TioModel;

import java.util.Date;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2026-03-17 11:20
 *    desc   : 基础等级
 * </pre>
 */
public class BaseLevel<M extends BaseLevel<M>> extends TioModel<M> implements IBean {
    public void setId(Integer id) {
        set("id", id);
    }

    public Integer getId() {
        return getInt("id");
    }

    public void setName(String value){
        set("name", value);
    }

    public String getName(){
        return getStr("name");
    }

    public void setLevel(Integer value){
        set("level", value);
    }


    public Integer getLevel() {
        return getInt("level");
    }

    public void setMax(Integer value){
        set("max", value);
    }

    public Integer getMax() {
        return getInt("max");
    }

    public void setCtime(Date value){
        set("ctime", value);
    }

    public Date getCtime(){
        return getDate("ctime");
    }

    public void setUtime(Date value) {
        set("utime", value);
    }

    public Date getUtime(){
        return getDate("utime");
    }
}
